#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, q, x, kom;
    cin>>n;
    vector<int> a;
    vector<int> k;
    for(int i=0; i<n; i++){
        cin>>x;
        a.push_back(x);
    }
    for(int i=0; i<n; i++){
        x=a[i];
        k.push_back(x);

    }

    sort(k.rbegin(), k.rend());
    
    

    cin>>q;
    int i, j;
    for(int w=0; w<q; w++){
        cin>>kom;
        if(kom==0){
            cin>>i;
            i--;
            cout<<k[i]<<endl;
        }
        else{
            cin>>i>>x;
            i--;
            if(a[i]!=x){
                a[i]=x;
                for(i=0; i<n; i++){
                x=a[i];
                k[i] = x;  }
                
            sort(k.rbegin(), k.rend());


            }
        }


    }
    cout<<endl;

}